<?php
#-----------------------------------------------------#
# Зц Sea mod Ganjara                                  #
# 	 Автор : Slayer  with   Ganjar                    #
#    ICQ :   566003         993770                    #
#    Вы не имеете права распространять данный скрипт. #
# 		По всем вопросам пишите в ICQ.                  #
#-----------------------------------------------------#



define('_IN_JOHNCMS', 1);
$zc=1;
$headmod = 'load';
$textl = 'Комментарии';
require_once ("../incfiles/core.php");
require_once ("../incfiles/head.php");
$time = time();
$setting = mysql_query('SELECT * FROM `'.$setup['pref'].'zc_setting`;');

while($set = mysql_fetch_assoc($setting)){
$setup[$set['name']] = $set['value'];
}

$hackmess = $setup['hackmess'];

require 'moduls/ini.php';
require 'moduls/fun.php';

###############Если комменты выключены##########
if($setup['komments_change'] == 0) die('Not found');
###############Проверка#########################

$id = intval($_GET['id']);
$page = intval($_GET['page']);

$onpage = get2ses('onpage');
is_num($onpage,'onpage');
###############если админ#########################


$error = false;

if($rights < "4"){
$error = true;
}

if($_SESSION['ipu'] != clean($ip)){
$error = true;
}
if(!$error AND intval($_GET['id']) AND intval($_GET['del'])==1 AND intval($_GET['komm'])){

mysql_query('DELETE FROM `'.$setup['pref'].'komments` WHERE `id` = '.intval($_GET['komm']).' LIMIT 1');
header('Location: komm.php?id='.$_GET['id']);
exit;
}
###############Инфа о файле#####################
$file_info_real = mysql_fetch_array(mysql_query('SELECT * FROM `'.$setup['pref'].'files` WHERE id = '.$id));
if(!is_file ($file_info_real['path'])) die('Файл не существует!');

if($file_info_real['open']==1) {$endurl='&amp;open=1';}
###############Получаем комменты###############
$query = mysql_query('SELECT * FROM `'.$setup['pref'].'komments` WHERE `file_id` = '.$id.' ORDER BY `time` DESC');
while($list_sw = mysql_fetch_array($query)){
$array_id[] = $list_sw['id'];
}
$all = sizeof($array_id);
$filepath = pathinfo($file_info_real['path']);
$namefile = $filepath[basename];
#######Получаем имя файла и обратный каталог#####
$dir = $file_info_real['infolder'];
$back = mysql_fetch_array(mysql_query("SELECT * FROM `".$setup['pref']."files` WHERE `path` = '".$dir."'"));
###############Запись###########################
if($_GET['act']=='add')
{
//Проверка на ошибки
$error = null;

$_POST['msg'] = bbcode(clean(del(substr($_POST['msg'],0,256))));
if(!$user_id)
$_POST['name'] = clean(del(substr($_POST['name'],0,10)));
else $_POST['name'] =$login;

if(!$_POST['msg'] || !$_POST['name']) $error .= 'Не заполнено одно из полей!<br/>';
if(strlen($_POST['msg'])<6) $error .= 'Вы не написали комментарий или он слишком короткий!<br/>';
if($_SESSION['code']!=strtolower($_POST['code']))$error .= 'Проверочный код введен неверно!<br/>';
if(empty($file_info_real['loads'])) $error .= 'Не стыдно? Даже файл не скачали!<br/>';



$currtime = time();
$tr = mysql_query("SELECT * FROM `".$setup['pref']."komments` WHERE `text` = '".$_POST['msg']."'");
if(mysql_fetch_row($tr)) $error .= 'Зачем повторяться?!<br/>';
$msg=$_POST['msg'];
        if ($_POST['msgtrans'] == 1) { //транслит
            $msg = jtrans($msg);
        }
//Если нет ошибок пишем в базу
if($error) echo '<div class="list1">'.$error.'</div>';
else {mysql_query("INSERT INTO `".$setup['pref']."komments` (`file_id`, `name`, `text`, `time`, `user_id`) VALUES ('".$id."', '".$_POST['name']."', '".$msg."' , '".$currtime."' , '".$user_id."');");
        // Фиксируем время последнего поста (антиспам)
        if ($user_id) {
            $postguest = $datauser['komm'] + 1;
            mysql_query("UPDATE `users` SET `komm` = '$postguest', `lastpost` = '" . $realtime . "' WHERE `id` = '" . $user_id . "'");
        }
header('Location: komm.php?id='.$id);
exit;
}
echo '<div class="bmenu">';
echo '<li><a href="komm.php?id='.$id.'">К комментариям</a></li></div>';
}
###############Вывод комментов#######################
else
{
echo'<div class="phdr">Комментарии к файлу <b>'.$namefile.'</b></div>';
//Страницы
$n = 0;
$pages = ceil($all/$onpage);
if($page>$pages or $page<=0) $page=1;
if(!$pages) $pages = 1;
if($page) $n = ($onpage*$page)-$onpage;
//Форма добавления камментов
echo '<div class="gmenu"><form action="komm.php?act=add&amp;id='.$id.'" method="post">';
if(!$user_id)
echo 'Имя(max. 10):<br/><input class="enter" name="name" type="text" value="" maxlength="10"/><br/>';
echo 'Сообщение(max. 500):<br/><textarea cols="20" rows="2" name="msg" maxlength="256"></textarea><br/>
<input type="checkbox" name="msgtrans" value="1" /> Транслит сообщения<br/>';
  $string = '';
  for ($i = 0; $i < 3; $i++) {
// this numbers refer to numbers of the ascii table (lower case)
$string .= chr(rand(97, 122));
}
$string .= rand(0, 9);
$_SESSION['code'] = $string;
            echo '<img src="code.php" alt="Код"/><br />';
            echo '<input type="text" size="4" maxlength="4"  name="code"/>&nbsp;введите код<br />';
echo'
<input type="submit" title="Нажмите для отправки" name="submit" value="Отправить"/></form></div>';

//Если комментов пока нет
if(!$all) echo '<div class="list1">На данный момент комментариев для этого файла нет.<br/>Оставьте свой комментарий и станьте первым!</div>';
//Выводим комменты
for($i=1; $i<=$onpage; $i++)
{
if(!isset($array_id[$n]))
{
$n++;
continue;
}
if(is_integer($n / 2)) $row = '<div class="list1">'; else $row = '<div class="list2">';
$komments = mysql_fetch_array(mysql_query('SELECT * FROM `'.$setup['pref'].'komments` WHERE `id` = '.$array_id[$n]));
$komments['time'] = date('d.m.Y/H:i', $komments['time']); //Время
$komments['text'] = str_replace("\n", '<br/>',$komments['text']); //Текст
if(!$error){
$deladm= '|<a href="komm.php?id='.$id.'&amp;komm='.$array_id[$n].'&amp;del=1"><font color="red"> Удалить</font></a>';
}

if($komments['user_id']){
$res = mysql_fetch_array(mysql_query('SELECT * FROM `users` WHERE `id` = '.$komments['user_id']));
                $text = '<span class="gray">('.$komments['time'].')</span>'.$deladm.'<br/>'.smileys($komments['text']).'';

print $row.show_user($res, 1, ($rights >= 6 && $rights >= $res['rights'] ? 1 : 0), $text, $post, ($rights >= 6 ? $subtext : '')).'</div>';
}
else
print $row.'<b>Гость</b>: '.$komments['name'].' <span class="gray">('.$komments['time'].')</span>'.$deladm.'<br/>'.smileys($komments['text']).'</div>';
$n++;
}
//Страницы
echo '<div class="phdr">Страницы: ';
$asd = $page - 2;
$asd2 = $page + 3;
if($asd<$all && $asd>0 && $page>3) echo ' <a href="komm.php?page=1&amp;id='.$id.'">1</a> ... ';
for($i=$asd; $i<$asd2;$i++)
{
if($i<$all && $i>0)
{
if ($i > $pages ) break;
if ($page==$i) 	echo '<b>['.$i.']</b> ';
else echo '<a href="komm.php?page='.$i.'&amp;id='.$id.'">'.$i.'</a> ';
}
}
if ($i <= $pages)
{
if($asd2<$all) echo ' ... <a href="komm.php?page='.$pages.'&amp;id='.$id.'">'.$pages.'</a>';
}
echo '<br/></div>';
}
echo '<div class="bmenu">';
echo '
<li><a href="view.php?id='.$id.'">К описанию</a></li>
<li><a href="index.php?id='.$back['id'].$endurl.'">В категорию</a></li>
<li><a href="index.php?'.$endurl.'">В загрузки</a></li>
<li><a href="'.$setup['site_url'].'">На главную</a></li>
</div>';


//Авточистка комментов
if($all > $setup['klimit'])
{
$max = mysql_fetch_row(mysql_query('SELECT MIN(`id`) FROM `'.$setup['pref'].'komments`;'));
mysql_query('DELETE FROM `'.$setup['pref'].'komments` WHERE `id` = '.$max[0]);
$page=1;
}
require_once ("moduls/foot.php");
?>